package com.bocloud.cmp.model.agile;

import java.util.List;

/*
 * 访问控制列表
 */
public class AgileAclModel {
    private String aclUuid; // 访问控制列表ID
    private String name; // 访问控制列表名称
    private String type; // 访问控制列表类型，枚举 basic，advance
    private String tenantUuid; // 所属租户ID
    private List<AgileAclRuleModel> ruleModels;// ACL规则列表

    public String getAclUuid() {
        return aclUuid;
    }

    public void setAclUuid(String aclUuid) {
        this.aclUuid = aclUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public List<AgileAclRuleModel> getRuleModels() {
        return ruleModels;
    }

    public void setRuleModels(List<AgileAclRuleModel> ruleModels) {
        this.ruleModels = ruleModels;
    }
}
